Subject: Re: More on relative pathname
From: [email-masked] (Corinna Vinschen)

14 Jan 1999 20:04:55 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Gordon Watts (Brown University)" <[email-masked]>, [email-masked]

Gordon Watts (Brown University) wrote:
> 
> Taking the suggestion of Earnie Boyd, I replaced the #!/bin/sh in my sample
> script with #!/bin/bash. Now the relative path names work fine.
> Unfortunately, I can't make this change in all the code I'm running (this is
> a port with a common source base), so I still need to get sh to work
> correctly, but it is an interesting data point, none the less. Would this
> indicate a problem in sh or in the cygwin dll below it? I guess it depends
> upon how sh invokes sub-shells.
> 
>         Cheers,
>                 Gordon.

Copy bash.exe to /bin/sh.exe and it will work, without changing the script.

Regards,
Corinna

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".